#
# spec file for package supportutils-plugin-ha-sap
#
# Copyright (c) 2020-2025 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/


Name:           supportutils-plugin-ha-sap
Version:        0.0.7+git.1737125956.a7079fc
Release:    	150000.1.21.2
Source: 	supportutils-plugin-ha-sap-%{version}.tar.bz2 
Summary:        Supportconfig Plugin for SAP and HA
License:        GPL-2.0-only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       supportutils

%description
Extends supportconfig functionality to include system information for
SAP and HA cluster. The supportconfig saves the related logs.

%prep
%setup -q
%build

%install
install -d $RPM_BUILD_ROOT/usr/lib/supportconfig/plugins
install -d $RPM_BUILD_ROOT/sbin
install -m 0544  ha_sap $RPM_BUILD_ROOT/usr/lib/supportconfig/plugins

%files
%defattr(-,root,root)
/usr/lib/supportconfig
/usr/lib/supportconfig/plugins
/usr/lib/supportconfig/plugins/ha_sap

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jan 17 2025 abriel@suse.com
- Update to version 0.0.7+git.1737125956.a7079fc:
  * Call saphana-check.sh if the script is available in
    /usr/lib/saphana-checks (SUSE package) or in
    /opt/sap/saphana-checks (SAP package)
    (jsc#PED-11748, jsc#PED-11747)
  * to support 'trento checks' on supportutils content
    collect additional information:
    /usr/sap/hostctrl/exe/saphostctrl -function Ping
    corosync-cmapctl -b
    su - <SIDADM> -c disp+work
    su - <SIDADM> -c 'sapcontrol -nr <NR> -function GetVersionInfo'
    ls -lA --time-style=long-iso /etc/polkit-1/rules.d/[0-9][0-9]-SAP[A-Z][A-Z0-9][A-Z0-9]-[0-9][0-9].rules
    content of files in /etc/products.d/
    (jsc#PED-12000, jsc#PED-12001)
  * collect Netweaver version by
    'sapcontrol -nr <NR> -function GetVersionInfo'
  * collect 'operation_mode' setting by
    'python getParameter.py --key=global.ini/system_replication/operation_mode --sapcontrol=1'
  * some shellcheck cleanup
  * adaption to the new used supportconfig.rc
- change requirements
  remove the long deprecated supportconfig-plugin-resource and
  supportconfig-plugin-tag and add instead 'Requires: supportutils'
  (bsc#1235145)
* Tue Sep 24 2024 varkoly@suse.com
- Update to version 0.0.6+git.1727164834.7af8512:
  * Fix bsc#1230319 supportutils-plugin-ha-sap does not know about
    recent SAPHana-angi. This was partialy solved by last commit.
  * switch from the deprecated scplugin.rc to supportconfig.rc
    adapt all function calls. This was triggered by SLE16 package
    submission, because of missing provides to fulfill the package
    requirements. But this change was long overdue as scplugin.rc
    is deprecated in SLE15 cdestreams as well
* Fri Mar  1 2024 abriel@suse.com
- Update to version 0.0.5+git.1709295499.1c8e8cd
  * adapt documentation links
  * add support for SAP systemd services regarding SID retrieval
  * add information about SAP related systemd services
  * add information about sapcontrol function GetStartProfile
  * add information from daemon.ini
  * collect hook script logs (suschksrv and saphanasr_multitarget_hook)
  * collect logs of sap_suse_cluster_connector and sapstartsrv
  * Add python version
  * Check sudoers for srhook configuration
* Wed Sep 21 2022 abriel@suse.com
- Update to version 0.0.4+git.1663748456.ad13e75:
  * fix basic support for saptune
    add saptune version 3 awareness and add a hint for the new
    saptune supportconfig plugin delivered within the saptune
    package >= 3.x
    (bsc#1203202)
* Thu Jul 28 2022 varkoly@suse.com
- Update to version 0.0.3+git.1659022100.39bfcd6:
  * Update README.md
  * Replace spaces to tabs.
  * Search for other groups too.
  * Include /etc/group in plugin-ha_sap.txt (bsc#1201831)
  * Update ha_sap
  * Update pacemaker.log location change
  * suppress link path in Readme.md
  * add section 'Additional information' to the Readme.md
  * change release status of the project
  * Update README.md
  * Update ha_sap
* Tue Jun 15 2021 abriel@suse.com
- Update to version 0.0.2+git.1623772960.fed5aa7:
  to fix bsc#1187373
  * Added process list for sid<adm> user
  * Added ENSA1 and ENSA2 informational messages
  * Added filter to gather logs for "sap_suse_cluster_connector"
  * Fixed documentation links
  * Updated Documentation Links
  * Added Authentication Section and capture information about
    sid<adm> user
  * Added some additional logic.
  * Obscure clear text password from cluster resources using
    "crm configure show" output
* Thu Apr 16 2020 dmaiocchi@suse.com
- Update to version 0.0.1+git.1586941845.6e2fc42: (bsc#1170085)
  * fix bsc#1170085
  * Remove broken link
  * Rename plugin to be more conform to the convention
  * Update README.md
  * Rename file with underscore to avoid issue
  * remove author line
  * simplify readme
  * Add some info to readme and rename script
  * Update README.md
  * Added saptune version, sapcontrol command, and basic cluster config
  * Updated Doc references to Best Practices guides
* Wed Apr 15 2020 dmaiocchi@suse.com
- Update to version 0.0.1+git.1586941845.6e2fc42:
  * Remove broken link
  * Rename plugin to be more conform to the convention
  * Update README.md
* Mon Apr  6 2020 dmaiocchi@suse.com
- Initial working version  (jsc#ECO-862)
